// pages/discountCoupon/index.js

import request from "../../utils/request"
import { getCurrentCoupons, getCurrentIntegral, getRedeemableCoupons } from "../../service/system";
import { alertInfo, loadingFunc } from "../../utils/index";
const { OK } = request;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    currentList: [],
    canGetList: [],
    active: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  onChange(e) {
    this.setData({
      active: e.detail.index,
    }, () => {
      const { active } = this.data;
      this.init(active);
    })
    
  },
  
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const { active } = this.data;
    this.init(active);
  },
  init(active) {
    switch(active) {
      case 0:
        this.getCurrent()
        break;
      case 1:
        this.getCanGet();
        break;
    }
  },

  async getCurrent() {
    const that = this;
    loadingFunc(async() => {
      const { code, message, data = [], } = await getCurrentCoupons();
      if (code !== OK) {
        alertInfo(message)
        return
      }
      that.setData({
        currentList: data
      })
    })
  },
  getCanGet() {
    const that = this;
    loadingFunc(async() => {
      const { code, message, data = [], } = await getRedeemableCoupons({ type: 1 });
      if (code !== OK) {
        alertInfo(message)
        return
      }
      that.setData({
        canGetList: data
      })
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})