// pages/meterList/index.js
import { getTenementMeterList } from "../../service/meter";
import dayjs from "../../utils/dayjs";
import { alertInfo, loadingFunc } from "../../utils/index";
import request from '../../utils/request';
const { OK } = request;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    header: [
      { key: 'address', title: '电表地址' },
      { key: "money", title: '电表余额', },
      { key: 'overall', title: '电表总量' },
    ],
    list: [],
  },
  async getMeters({ id }) {
    const { code, message, data } = await getTenementMeterList(id);
    if (code !== OK) {
      alertInfo(message)
      this.setData({ meterList: [], meter: {} })
      wx.setStorageSync('meter', {})
      return;
    }
    this.setData({
      list: data || [],
    })
    // if (!storageMeter) {
      wx.setStorageSync('meter', data?.[0] || {} )
    // }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    loadingFunc(async () => {
      await this.getMeters({ id: options?.id })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      time: dayjs().format("YYYY-MM-DD HH:mm:ss"),
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})